Eclipse Platform Release 3.7

## org.eclipse.equinox.security.storage.provider
Interface IProviderHints

    public interface IProviderHints

Sometimes it might be desirable to pass some context information to the password provider modules (such as a need to run without UI prompts). Below are some pre-defined options that can be used to exchange information between creators of secure storage and password providers.

Options can be specified as an entry in the options map `SecurePreferencesFactory.open(java.net.URL, java.util.Map)`.

Password provider modules are advised to take into consideration those options when applicable; note, however, that it is up to specific module to decide if (and how) they would respond to an option.

The set of options is open-ended and not limited to options specified below; modules can choose to process additional hints.

This interface is not intended to be implemented or extended by clients.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `DEFAULT_PASSWORD` Storage will use this password.
`static String` `PROMPT_USER` Specifies if it is possible to prompt user.
`static String` `REQUIRED_MODULE_ID` Specifies the required password provider module to be used with the storage.

Field Detail

### REQUIRED_MODULE_ID

    static final String REQUIRED_MODULE_ID

  Specifies the required password provider module to be used with the storage. Expected value: `String`.

  See Also:
    Constant Field Values

### PROMPT_USER

    static final String PROMPT_USER

  Specifies if it is possible to prompt user. Expected value: `Boolean`.

  See Also:
    Constant Field Values

### DEFAULT_PASSWORD

    static final String DEFAULT_PASSWORD

  Storage will use this password. Expected value: `PBEKeySpec`.

  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.